安全研究

威胁情报
Spring Data Rest服务器PATCH请求远程代码执行漏洞 CVE-2017-8046

综述

近日,Pivotal官方发布通告表示Spring-data-rest服务器在处理PATCH请求时存在一个远程代码执行漏洞(CVE-2017-8046)。攻击者可以构造恶意的PATCH请求并发送给spring-date-rest服务器,提交的JSON数据中存在SPEL表达式可以导致远程代码执行。官方已经发布了新版本修复了该漏洞。

相关地址:

https://pivotal.io/security/cve-2017-8046


受影响的版本

· Spring Data REST versions < 2.5.12 2.6.7 3.0 RC3

· Spring Boot version < 2.0.0M4

· Spring Data release trains < Kay-RC3


不受影响的版本

· Spring Data REST 2.5.12 2.6.7 3.0RC3

· Spring Boot 2.0.0.M4

· Spring Data release train Kay-RC3

 

解决方案

官方已经发布了新版本修复了该漏洞,受影响的用户请尽快升级至最新版本来防护该漏洞。


参考链接

https://projects.spring.io/spring-data-rest/

https://projects.spring.io/spring-boot/


声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。



浏览次数:

关 闭